> ## Documentation Index
> Fetch the complete documentation index at: https://docs.health-street.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Staff

> Update an existing Staff



## OpenAPI

````yaml patch /vLatest/action/glasscore/staff/{id}
openapi: 3.1.0
info:
  version: 2.0.0
  title: Health Street API
  description: >-
    The Health Street API provides secure and reliable endpoints to manage drug
    tests, background checks, DNA checks, and occupational health tests.
servers:
  - url: https://api.glass.fm
security: []
paths:
  /vLatest/action/glasscore/staff/{id}:
    patch:
      tags:
        - Staff
      summary: Update Staff
      description: Update an existing Staff
      operationId: UpdateStaff
      parameters:
        - $ref: '#/components/parameters/id'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                CategoryId:
                  type: number
                  nullable: true
                  description: >-
                    Represents the identifier for the category to which a staff
                    member belongs.
                dateOfHire:
                  anyOf:
                    - type: string
                    - type: string
                  description: Records the day a staff member was employed.
                dateOfTermination:
                  anyOf:
                    - type: string
                    - type: string
                  description: >-
                    Records the specific day a staff member's employment was
                    ended.
                jobTitle:
                  type: string
                  description: >-
                    Contains the professional role or position held by each
                    staff member.
                JobTitleId:
                  type: number
                  nullable: true
                  description: >-
                    Represents the unique identifier associated with a specific
                    job title for each staff member.
                salary:
                  type: number
                  nullable: true
                  description: >-
                    Represents the amount of money that a staff member earns on
                    a regular basis.
                SalaryPeriodId:
                  type: number
                  nullable: true
                  description: >-
                    Identifies the frequency at which a staff member's salary is
                    paid.
      responses:
        '200':
          description: Updated Staff
          content:
            application/json:
              schema:
                type: object
                properties:
                  dateOfHire:
                    anyOf:
                      - type: string
                      - type: string
                    description: Records the day a staff member was employed.
                  dateOfTermination:
                    anyOf:
                      - type: string
                      - type: string
                    description: >-
                      Records the specific day a staff member's employment was
                      ended.
                  id:
                    type: number
                    description: Unique identifier.
                  PersonId:
                    type: number
                    description: Unique identifier for each staff member.
                  salary:
                    type: number
                    nullable: true
                    description: >-
                      Represents the amount of money that a staff member earns
                      on a regular basis.
                  SalaryPeriodId:
                    type: number
                    nullable: true
                    description: >-
                      Identifies the frequency at which a staff member's salary
                      is paid.
                required:
                  - dateOfHire
                  - dateOfTermination
                  - id
                  - PersonId
                  - salary
                  - SalaryPeriodId
components:
  parameters:
    id:
      schema:
        $ref: '#/components/schemas/id'
      required: true
      name: id
      in: path
  schemas:
    id:
      type: number
      description: The ID of the entity for this request.
      example: 5

````